from setuptools import setup, find_packages
from pybind11.setup_helpers import Pybind11Extension
from pathlib import Path
import codecs
import os

__version__ = "1.2.0"
this_directory = Path(__file__).parent
long_description = (this_directory/'README.md').read_text() 

ext_modules = [
	Pybind11Extension(
		"CLUEsteringCPP",
		['CLUEstering/binding.cc'],
	),
]

setup(
    name="CLUEstering",
    version=__version__,
    author="Simone Balducci",
    author_email="simone.balducci00@gmail.com",
    description="A library that generalizes the original 2-dimensional CLUE algorithm made at CERN.",
	 long_description=long_description,
	 long_description_content_type='text/markdown',
	 packages=find_packages(),
	 install_requires=['sklearn','numpy','matplotlib','pandas'],
	 ext_modules=ext_modules,
	 keywords=['Python','Clustering','Binding'],
	 python_requires='>=3.7',
	 classifiers=[
		'Intended Audience :: Developers',
		'Programming Language :: Python :: 3',
		'Operating System :: Unix',
		'Operating System :: MacOS :: MacOS X',
		'Operating System :: Microsoft :: Windows',
	 ]
)
